Crazy Eddies GUI System: CEGUI::IrrlichtResourceProvider Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CEGUI::IrrlichtResourceProvider Class Reference
Inheritance diagram for CEGUI::IrrlichtResourceProvider:
[legend]
Collaboration diagram for CEGUI::IrrlichtResourceProvider:
[legend]

List of all members.

## Public Member Functions
| IrrlichtResourceProvider (irr::io::IFileSystem &fs)
void | loadRawDataContainer (const String &filename, RawDataContainer &output, const String &resourceGroup)
| Load XML data using InputSource objects.
void | unloadRawDataContainer (RawDataContainer &data)
| Unload raw binary data. This gives the resource provider a change to unload the data in its own way before the data container object is destroyed. If it does nothing, then the object will release its memory.
## Protected Attributes
irr::io::IFileSystem & | d_fsys

## Member Function Documentation

void CEGUI::IrrlichtResourceProvider::loadRawDataContainer | ( | const String & | filename,
|  | RawDataContainer & | output,
|  | const String & | resourceGroup
| ) |  | `[virtual]`

Load XML data using InputSource objects.

Parameters:

  filename | String containing a filename of the resource to be loaded.
  output | Reference to a InputSourceContainer object to load the data into.

Load raw binary data.

Parameters:

  filename | String containing a filename of the resource to be loaded.
  output | Reference to a RawDataContainer object to load the data into.
  resourceGroup | Optional String that may be used by implementations to identify the group from which the resource should be loaded.

Reimplemented from CEGUI::DefaultResourceProvider.

void CEGUI::IrrlichtResourceProvider::unloadRawDataContainer | ( | RawDataContainer & |  | ) | `[virtual]`

Unload raw binary data. This gives the resource provider a change to unload the data in its own way before the data container object is destroyed. If it does nothing, then the object will release its memory.

Parameters:

  data | Reference to a RawDataContainer object that is about to be destroyed.

Reimplemented from CEGUI::DefaultResourceProvider.